!> \file paradim-hemin40_mod.f90
!! Def des dimensions du grille hemin a 40 km  
!<

!> \namespace module_nord
!! Def des dimensions du grille hemin a 40 km  
!! \author ...
!! \date ...
!<


module module_nord
  
  implicit none

  character(len=7), parameter :: geoplace='hemin40'    ! geoplace
  character(len=20), parameter  :: dirnameinp='../../INPUT/HEMIN40/' ! input directory
  character(len=20), parameter  :: dirforcage='../../INPUT/Forcage/' ! input directory

! dimensionnement grilles
!-------------------------
  integer, parameter :: nx=241           !< dimension selon x (indice i)
  integer, parameter :: ny=241           !< dimension selon y (indice j)
  integer, parameter :: nlmin=141        !< min(nx,ny), pour matrice elliptique  
  integer, parameter :: nz=21            !< dimension selon z (indice k) 
  integer, parameter :: nzm=4            !< nb de points verticaux dans le socle
  integer, parameter :: nn=241           !< pour des sorties
!cdc integer, parameter :: nx1=nx-1,ny1=ny-1,nz1=nz-1


! pas horizontal
!-----------------
  real, parameter :: dx=40000.0             !< pas en X en m
  real, parameter :: dy=40000.0             !< pas en Y en m


end module module_nord
